### Method

# GLib Source remove_child_source

since: 2.28

#### Declaration

    void
    g_source_remove_child_source (
      GSource* source,
      GSource* child_source
    )

#### Description

Detaches `child_source` from `source` and destroys it.

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

Available since: 2.28

#### Parameters

`child_source`

  Type: `GSource`

  A `GSource` previously passed to g_source_add_child_source().

  The data is owned by the caller of the method.